[![NPM Version](https://img.shields.io/npm/v/%40gothium%2Fcss-reset)](https://www.npmjs.com/package/@gothium/css-reset)

# Gothium CSS Reset

Gothium CSS Reset is a modern, lightweight CSS Reset designed to normalize styles and provide a consistent starting point for your projects. It uses best practices, avoids outdated hacks, and leverages inheritance to reduce boilerplate code, offering powerful defaults without being overly opinionated.

## Features

- **Modern**: Uses up-to-date best practices.
- **Lightweight**: Minimal code with powerful effects.
- **Effortless**: Simplifies cross-browser compatibility.
- **Efficient**: Reduces boilerplate code with smart defaults.

## Development & Contributing

You can install the dependencies then run the `build` command.

## Installation and Usage

You can install and build the Gothium CSS Reset using various package managers. Below are the instructions for each:

### UNPKG (via CDN)

#### In HTML

```html
<link rel="stylesheet" href="https://unpkg.com/@gothium/css-reset">
```

#### In CSS

```css
@import 'https://unpkg.com/@gothium/css-reset';
```

### npm

```sh
# Using Bun
bun add @gothium/css-reset

# Using npm
npm install @gothium/css-reset

# Using pnpm
pnpm add @gothium/css-reset

# Using Yarn
yarn add @gothium/css-reset

# Using Deno
deno install @gothium/css-reset
```

#### Usage

```js
import '@gothium/css-reset';
```

## License

This project is licensed under the MIT License.
